# gerrit

Gerrit Code Review

NOTE: This role currently prepares the system for installing gerrit, but does
not actually install the daemon, which is done manually.. In the future it may
be expanded to do this as well, most likely from the [package
repos](https://gerrit.googlesource.com/gerrit/#install-binary-packages-deb_rpm).

Currently, all this role does is creates the gerrit user account, data
directories, and scripts to start the gerrit daemon.

The rest of the configuration needs to be run *as the gerrit user* so that file
permissions are correctly maintained.  As this user is intended just to run the
daemon and configured with a `nologin` shell, it's recommended that you become
the gerrit user with:

    su -s /bin/bash gerrit

Gerrit requires a JRE (or JDK) to run, which should be installed by a separate
role.

## Requirements

Minimum ansible version: 2.9.5

## Defaults

Default values can be found in `defaults/main.yml`

## Example Playbook

```yaml
- hosts: all
  roles:
    - gerrit
```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
